View Issue Details

IDProjectCategoryView StatusLast Update
0032348FPCDatabasepublic2018-07-25 15:58
ReporterLuiz AmericoAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0032348: Fix compilation and improve configuration of dbframeworktest gui
DescriptionThe attached patch fixes the compilation (missing LazFileUtils, add path for ibase package) and improve path configuration (units are exported to lib folder)
TagsNo tags attached.
Fixed in Revision39445
FPCOldBugId0
FPCTarget
Attached Files
  • dbguitestrunner.diff (4,773 bytes)
    Index: tests/dbtestframework_gui.lpi
    ===================================================================
    --- tests/dbtestframework_gui.lpi	(revision 37078)
    +++ tests/dbtestframework_gui.lpi	(working copy)
    @@ -1,7 +1,7 @@
     <?xml version="1.0" encoding="UTF-8"?>
     <CONFIG>
       <ProjectOptions>
    -    <Version Value="9"/>
    +    <Version Value="10"/>
         <General>
           <Flags>
             <MainUnitHasCreateFormStatements Value="False"/>
    @@ -15,17 +15,18 @@
         <i18n>
           <EnableI18N LFM="False"/>
         </i18n>
    -    <VersionInfo>
    -      <StringTable ProductVersion=""/>
    -    </VersionInfo>
         <BuildModes Count="5">
           <Item1 Name="Default" Default="True"/>
           <Item2 Name="debug">
             <CompilerOptions>
               <Version Value="11"/>
    +          <Target>
    +            <Filename Value="dbtestframework_gui"/>
    +          </Target>
               <SearchPaths>
                 <IncludeFiles Value="$(ProjOutDir)"/>
    -            <OtherUnitFiles Value="../src/base;../src/sqldb/odbc;../src/sqldb/mssql;../src/sqldb/sqlite;../src/sqldb/postgres;../src/sqldb/oracle;../src/memds;../src/sqldb;../src/sqldb/interbase;../src/sqldb/mysql;../src/dbase;../src/sdf"/>
    +            <OtherUnitFiles Value="../src/base;../src/sqlite;../src/sqldb/odbc;../src/sqldb/mssql;../src/sqldb/sqlite;../src/sqldb/postgres;../src/sqldb/oracle;../src/memds;../src/sqldb;../src/sqldb/interbase;../src/sqldb/mysql;../src/dbase;../src/sdf;../src/export;../../ibase/src"/>
    +            <UnitOutputDirectory Value="lib/$(TargetCPU)-$(TargetOS)"/>
               </SearchPaths>
             </CompilerOptions>
           </Item2>
    @@ -58,15 +59,19 @@
           <Item5 Name="TestSqlite3DS">
             <CompilerOptions>
               <Version Value="11"/>
    +          <Target>
    +            <Filename Value="dbtestframework_gui"/>
    +          </Target>
               <SearchPaths>
                 <IncludeFiles Value="$(ProjOutDir)"/>
    -            <OtherUnitFiles Value="../src/base;../src/sqldb/odbc;../src/sqldb/mssql;../src/sqldb/sqlite;../src/sqldb/postgres;../src/sqldb/oracle;../src/memds;../src/sqldb;../src/sqldb/interbase;../src/sqldb/mysql;../src/dbase;../src/sdf;../src/export"/>
    +            <OtherUnitFiles Value="../src/base;../src/sqlite;../src/sqldb/odbc;../src/sqldb/mssql;../src/sqldb/sqlite;../src/sqldb/postgres;../src/sqldb/oracle;../src/memds;../src/sqldb;../src/sqldb/interbase;../src/sqldb/mysql;../src/dbase;../src/sdf;../src/export;../../ibase/src"/>
    +            <UnitOutputDirectory Value="lib/$(TargetCPU)-$(TargetOS)"/>
               </SearchPaths>
               <Other>
                 <CustomOptions Value="-dTEST_SQLITE3DS"/>
               </Other>
             </CompilerOptions>
    -      </Item5> 
    +      </Item5>
         </BuildModes>
         <PublishOptions>
           <Version Value="2"/>
    @@ -92,15 +97,15 @@
             <PackageName Value="FCL"/>
           </Item4>
         </RequiredPackages>
    -    <Units Count="4">
    +    <Units Count="5">
           <Unit0>
             <Filename Value="dbtestframework_gui.lpr"/>
             <IsPartOfProject Value="True"/>
    -        <UnitName Value="DBGuiTestRunner"/> 
           </Unit0>
           <Unit1>
             <Filename Value="dbguitestrunner.pas"/>
             <IsPartOfProject Value="True"/>
    +        <UnitName Value="DBGuiTestRunner"/>
           </Unit1>
           <Unit2>
             <Filename Value="tccsvdataset.pp"/>
    @@ -111,13 +116,22 @@
             <IsPartOfProject Value="True"/>
             <UnitName Value="Sqlite3DSToolsUnit"/>
           </Unit3>
    +      <Unit4>
    +        <Filename Value="testspecifictsqlite3dataset.pas"/>
    +        <IsPartOfProject Value="True"/>
    +        <UnitName Value="TestSpecificTSqlite3Dataset"/>
    +      </Unit4>
         </Units>
       </ProjectOptions>
       <CompilerOptions>
         <Version Value="11"/>
    +    <Target>
    +      <Filename Value="dbtestframework_gui"/>
    +    </Target>
         <SearchPaths>
           <IncludeFiles Value="$(ProjOutDir)"/>
    -      <OtherUnitFiles Value="../src/base;../src/sqldb/odbc;../src/sqldb/mssql;../src/sqldb/sqlite;../src/sqldb/postgres;../src/sqldb/oracle;../src/memds;../src/sqldb;../src/sqldb/interbase;../src/sqldb/mysql;../src/dbase;../src/sdf;../src/export"/>
    +      <OtherUnitFiles Value="../src/base;../src/sqlite;../src/sqldb/odbc;../src/sqldb/mssql;../src/sqldb/sqlite;../src/sqldb/postgres;../src/sqldb/oracle;../src/memds;../src/sqldb;../src/sqldb/interbase;../src/sqldb/mysql;../src/dbase;../src/sdf;../src/export;../../ibase/src"/>
    +      <UnitOutputDirectory Value="lib/$(TargetCPU)-$(TargetOS)"/>
         </SearchPaths>
         <Linking>
           <Debugging>
    Index: tests/inieditor.pas
    ===================================================================
    --- tests/inieditor.pas	(revision 37078)
    +++ tests/inieditor.pas	(working copy)
    @@ -67,6 +67,9 @@
     
     implementation
     
    +uses
    +  LazFileUtils;
    +
     {$R *.lfm}
     
     { TFormIniEditor }
    
    dbguitestrunner.diff (4,773 bytes)

Activities

Luiz Americo

2017-08-27 22:11

developer  

dbguitestrunner.diff (4,773 bytes)
Index: tests/dbtestframework_gui.lpi
===================================================================
--- tests/dbtestframework_gui.lpi	(revision 37078)
+++ tests/dbtestframework_gui.lpi	(working copy)
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <CONFIG>
   <ProjectOptions>
-    <Version Value="9"/>
+    <Version Value="10"/>
     <General>
       <Flags>
         <MainUnitHasCreateFormStatements Value="False"/>
@@ -15,17 +15,18 @@
     <i18n>
       <EnableI18N LFM="False"/>
     </i18n>
-    <VersionInfo>
-      <StringTable ProductVersion=""/>
-    </VersionInfo>
     <BuildModes Count="5">
       <Item1 Name="Default" Default="True"/>
       <Item2 Name="debug">
         <CompilerOptions>
           <Version Value="11"/>
+          <Target>
+            <Filename Value="dbtestframework_gui"/>
+          </Target>
           <SearchPaths>
             <IncludeFiles Value="$(ProjOutDir)"/>
-            <OtherUnitFiles Value="../src/base;../src/sqldb/odbc;../src/sqldb/mssql;../src/sqldb/sqlite;../src/sqldb/postgres;../src/sqldb/oracle;../src/memds;../src/sqldb;../src/sqldb/interbase;../src/sqldb/mysql;../src/dbase;../src/sdf"/>
+            <OtherUnitFiles Value="../src/base;../src/sqlite;../src/sqldb/odbc;../src/sqldb/mssql;../src/sqldb/sqlite;../src/sqldb/postgres;../src/sqldb/oracle;../src/memds;../src/sqldb;../src/sqldb/interbase;../src/sqldb/mysql;../src/dbase;../src/sdf;../src/export;../../ibase/src"/>
+            <UnitOutputDirectory Value="lib/$(TargetCPU)-$(TargetOS)"/>
           </SearchPaths>
         </CompilerOptions>
       </Item2>
@@ -58,15 +59,19 @@
       <Item5 Name="TestSqlite3DS">
         <CompilerOptions>
           <Version Value="11"/>
+          <Target>
+            <Filename Value="dbtestframework_gui"/>
+          </Target>
           <SearchPaths>
             <IncludeFiles Value="$(ProjOutDir)"/>
-            <OtherUnitFiles Value="../src/base;../src/sqldb/odbc;../src/sqldb/mssql;../src/sqldb/sqlite;../src/sqldb/postgres;../src/sqldb/oracle;../src/memds;../src/sqldb;../src/sqldb/interbase;../src/sqldb/mysql;../src/dbase;../src/sdf;../src/export"/>
+            <OtherUnitFiles Value="../src/base;../src/sqlite;../src/sqldb/odbc;../src/sqldb/mssql;../src/sqldb/sqlite;../src/sqldb/postgres;../src/sqldb/oracle;../src/memds;../src/sqldb;../src/sqldb/interbase;../src/sqldb/mysql;../src/dbase;../src/sdf;../src/export;../../ibase/src"/>
+            <UnitOutputDirectory Value="lib/$(TargetCPU)-$(TargetOS)"/>
           </SearchPaths>
           <Other>
             <CustomOptions Value="-dTEST_SQLITE3DS"/>
           </Other>
         </CompilerOptions>
-      </Item5> 
+      </Item5>
     </BuildModes>
     <PublishOptions>
       <Version Value="2"/>
@@ -92,15 +97,15 @@
         <PackageName Value="FCL"/>
       </Item4>
     </RequiredPackages>
-    <Units Count="4">
+    <Units Count="5">
       <Unit0>
         <Filename Value="dbtestframework_gui.lpr"/>
         <IsPartOfProject Value="True"/>
-        <UnitName Value="DBGuiTestRunner"/> 
       </Unit0>
       <Unit1>
         <Filename Value="dbguitestrunner.pas"/>
         <IsPartOfProject Value="True"/>
+        <UnitName Value="DBGuiTestRunner"/>
       </Unit1>
       <Unit2>
         <Filename Value="tccsvdataset.pp"/>
@@ -111,13 +116,22 @@
         <IsPartOfProject Value="True"/>
         <UnitName Value="Sqlite3DSToolsUnit"/>
       </Unit3>
+      <Unit4>
+        <Filename Value="testspecifictsqlite3dataset.pas"/>
+        <IsPartOfProject Value="True"/>
+        <UnitName Value="TestSpecificTSqlite3Dataset"/>
+      </Unit4>
     </Units>
   </ProjectOptions>
   <CompilerOptions>
     <Version Value="11"/>
+    <Target>
+      <Filename Value="dbtestframework_gui"/>
+    </Target>
     <SearchPaths>
       <IncludeFiles Value="$(ProjOutDir)"/>
-      <OtherUnitFiles Value="../src/base;../src/sqldb/odbc;../src/sqldb/mssql;../src/sqldb/sqlite;../src/sqldb/postgres;../src/sqldb/oracle;../src/memds;../src/sqldb;../src/sqldb/interbase;../src/sqldb/mysql;../src/dbase;../src/sdf;../src/export"/>
+      <OtherUnitFiles Value="../src/base;../src/sqlite;../src/sqldb/odbc;../src/sqldb/mssql;../src/sqldb/sqlite;../src/sqldb/postgres;../src/sqldb/oracle;../src/memds;../src/sqldb;../src/sqldb/interbase;../src/sqldb/mysql;../src/dbase;../src/sdf;../src/export;../../ibase/src"/>
+      <UnitOutputDirectory Value="lib/$(TargetCPU)-$(TargetOS)"/>
     </SearchPaths>
     <Linking>
       <Debugging>
Index: tests/inieditor.pas
===================================================================
--- tests/inieditor.pas	(revision 37078)
+++ tests/inieditor.pas	(working copy)
@@ -67,6 +67,9 @@
 
 implementation
 
+uses
+  LazFileUtils;
+
 {$R *.lfm}
 
 { TFormIniEditor }
dbguitestrunner.diff (4,773 bytes)

Marco van de Voort

2018-07-07 22:45

manager   ~0109284

Compiles here without lazfileutils etc.

Thaddy de Koning

2018-07-08 14:50

reporter   ~0109293

Last edited: 2018-07-08 14:52

View 2 revisions

Indeed. Basically it does not depend - and should not depend- on Lazarus at all.

Michael Van Canneyt

2018-07-13 09:32

administrator   ~0109422

I tested, it compiles just fine here.
I changed the ugly button to a menu item.

Issue History

Date Modified Username Field Change
2017-08-27 22:11 Luiz Americo New Issue
2017-08-27 22:11 Luiz Americo File Added: dbguitestrunner.diff
2017-08-27 22:35 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-08-27 22:35 Michael Van Canneyt Status new => assigned
2018-07-07 22:45 Marco van de Voort Note Added: 0109284
2018-07-08 14:50 Thaddy de Koning Note Added: 0109293
2018-07-08 14:52 Thaddy de Koning Note Edited: 0109293 View Revisions
2018-07-13 09:32 Michael Van Canneyt Fixed in Revision => 39445
2018-07-13 09:32 Michael Van Canneyt Note Added: 0109422
2018-07-13 09:32 Michael Van Canneyt Status assigned => resolved
2018-07-13 09:32 Michael Van Canneyt Fixed in Version => 3.1.1
2018-07-13 09:32 Michael Van Canneyt Resolution open => no change required
2018-07-13 09:32 Michael Van Canneyt Target Version => 3.2.0
2018-07-25 15:58 Luiz Americo Status resolved => closed